Debian Bug report logs - #103699
Result from atan2 is unclear in man page

version graph

Package: mawk; Maintainer for mawk is Steve Langasek <vorlon@debian.org>; Source for mawk is src:mawk.

Reported by: Edward Betts <edward@debian.org>

Date: Fri, 6 Jul 2001 10:13:49 UTC

Severity: minor

Found in version 1.3.3-6

Fixed in version mawk/1.3.3-9

Done: James Troup <james@nocrew.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#103699; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to Edward Betts <edward@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Edward Betts <edward@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Result from atan2 is unclear in man page
Date: Fri, 6 Jul 2001 11:28:37 +0200
Package: mawk
Version: 1.3.3-6
Severity: normal

The man page for mawk(1) says:
> Arithmetic functions
>
> atan2(y,x)  Arctan of y/x between -n and n.

This is unclear, what are -n and n? We guess it means between -pi and pi,
because that is how atan2 works in Perl, see perlfunc(1).

Suggested fix: change -n and n in mawk(1) to -pi and pi.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux wopr 2.4.5-ac15 #1 Sat Jun 16 23:58:19 BST 2001 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages mawk depends on:
ii  libc6                         2.2.3-6    GNU C Library: Shared libraries an

-- 
Don't worry  --  shop.



Severity set to `minor'. Request was from Edward Betts <edward@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to James Troup <james@nocrew.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Edward Betts <edward@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 103699-close@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: 103699-close@bugs.debian.org
Subject: Bug#103699: fixed in mawk 1.3.3-9
Date: Fri, 09 Aug 2002 10:47:52 -0400
We believe that the bug you reported is fixed in the latest version of
mawk, which is due to be installed in the Debian FTP archive:

mawk_1.3.3-9.diff.gz
  to pool/main/m/mawk/mawk_1.3.3-9.diff.gz
mawk_1.3.3-9.dsc
  to pool/main/m/mawk/mawk_1.3.3-9.dsc
mawk_1.3.3-9_i386.deb
  to pool/main/m/mawk/mawk_1.3.3-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 103699@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <james@nocrew.org> (supplier of updated mawk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  9 Aug 2002 15:04:23 +0100
Source: mawk
Binary: mawk
Architecture: source i386
Version: 1.3.3-9
Distribution: unstable
Urgency: low
Maintainer: James Troup <james@nocrew.org>
Changed-By: James Troup <james@nocrew.org>
Description: 
 mawk       - a pattern scanning and text processing language
Closes: 103699 125120
Changes: 
 mawk (1.3.3-9) unstable; urgency=low
 .
   * debian/control: capitalize POSIX, thanks to Matt Zimmerman
     <mdz@debian.org>.  Closes: #125120
   * debian/changelog: remove obsolete local variables.
   * man/mawk.1: add a macro provided by Colin Watson <cjwatson@debian.org>
     to force PI to be displayed as "pi" (rather than 'n') when processed
     by nroff.  Closes: #103699
   * debian/control (Standards-Version): update to 3.5.6.1.
Files: 
 2e2f07b6cff21bd554aca01879bca219 521 base required mawk_1.3.3-9.dsc
 f710727ab6c3b818c65600197c1f3de5 13239 base required mawk_1.3.3-9.diff.gz
 a983639396d9fb5a343009564047d2cb 76932 base required mawk_1.3.3-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)

iEYEARECAAYFAj1T0yEACgkQgD/uEicUG7CdJACfcYo4ksYzd7M8bmfMuY+mkaax
8XAAn0nezwyMKN7R7ZtdA7uWv4z9p74u
=LS/7
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:01:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.